"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.buildBabelTask = void 0;

var _path = require("path");

var _babel = require("../../actions/tools/babel");

var _spinner = require("../../cli/spinner");

const buildBabelTask = ({
  argv,
  path
}) => async () => {
  const subTitle = path === argv.cwd ? '' : `[${(0, _path.basename)(path)}]`;
  return (0, _spinner.spinnerAction)((0, _babel.babelAction)({ ...argv,
    cwd: path
  }, {}), `Build: Babel ${subTitle}`);
};

exports.buildBabelTask = buildBabelTask;