/// <reference types="node" />
import { ChildProcessByStdio } from 'child_process';
import { Readable, Writable } from 'stream';
import { ExecOptions } from './exec';
declare type PipeType = ChildProcessByStdio<Writable, Readable | null, Readable | null>;
declare const execStdio: (props: ExecOptions, { registerStdin, pipe }?: {
    registerStdin?: boolean | undefined;
    pipe?: PipeType | undefined;
}) => Promise<void>;
export { execStdio };
