"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handler = exports.desc = exports.command = exports.builder = void 0;

var _yargs = require("../cli/yargs");

var _licenseTask = require("../tasks/licenseTask");

const command = 'license';
exports.command = command;
const desc = 'Run license check';
exports.desc = desc;
const handler = (0, _yargs.createHandler)(_licenseTask.licenseTask);
exports.handler = handler;
const builder = (0, _yargs.createBuilder)(command, yargs => yargs);
exports.builder = builder;