"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.reduceHeuristicList = void 0;

var _toolLib = require("@kettil/tool-lib");

const reduceHeuristicList = (regexps, [licenseName, regexp]) => {
  if (!(0, _toolLib.isString)(licenseName)) {
    throw new TypeError('.carnarc.json: license.heuristics has a key that is not a string');
  }

  if (!(regexp instanceof RegExp)) {
    throw new TypeError(`.carnarc.json: license.heuristics.${licenseName} is not a RegExp`);
  }

  return Object.assign(regexps, {
    [licenseName]: regexp
  });
};

exports.reduceHeuristicList = reduceHeuristicList;