declare type TopologicalSortingUtil<T extends number | string> = {
    stack: T[];
    visited: Record<T, boolean>;
    edges: Record<T, T[]>;
};
declare const topologicalSortingUtil: <T extends string | number>(node: T, { edges, stack, visited }: TopologicalSortingUtil<T>) => TopologicalSortingUtil<T>;
export type { TopologicalSortingUtil };
export { topologicalSortingUtil };
