"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.topologicalSortingUtil = void 0;

const topologicalSortingUtil = (node, {
  edges,
  stack,
  visited
}) => {
  const data = edges[node].reduce((rData, rNode) => rData.visited[rNode] ? rData : topologicalSortingUtil(rNode, rData), {
    edges,
    stack: [...stack],
    visited: { ...visited,
      [node]: true
    }
  });
  data.stack.unshift(node);
  return data;
};

exports.topologicalSortingUtil = topologicalSortingUtil;